Skip to content

Get location rankings via GET

Request

Retrieves a paginated ranking of locations based on their scores, using query parameters for filter criteria.

Query
locationIdsstring or null

Comma-separated location IDs to filter by

businessIdsstring or null

Comma-separated business IDs to filter by

locationGroupIdsstring or null

Comma-separated location group IDs to filter by

labelsstring or null

Comma-separated labels to filter by

sortstringrequired

Sort direction (asc or desc)

Default:"desc"
pageinteger, (int32)required

Page number (zero-based)

Default:0
pageSizeinteger, (int32)required

Number of results per page

Default:10
scoreMininteger, (int32)required

Minimum score filter (inclusive)

Default:0
scoreMaxinteger, (int32)required

Maximum score filter (inclusive)

Default:100
normalisedScoreMininteger or null, (int32)

Minimum normalised score filter (inclusive). When set, results are ordered by normalised score.

normalisedScoreMaxinteger or null, (int32)

Maximum normalised score filter (inclusive). When set, results are ordered by normalised score.

excludedLocationIdsstring or null

Comma-separated location IDs to exclude

excludedBusinessIdsstring or null

Comma-separated business IDs to exclude

excludedLocationGroupIdsstring or null

Comma-separated location group IDs to exclude

excludedLabelsstring or null

Comma-separated labels to exclude

filterCategorystring or null

Filter strategy to apply: location-groups, labels, business, or location

querystring or null

Search query string depending on filter category

curl -i -X GET \
  'https://uberall.com/api/home/locations/ranks?locationIds=string&businessIds=string&locationGroupIds=string&labels=string&sort=desc&page=0&pageSize=10&scoreMin=0&scoreMax=100&normalisedScoreMin=0&normalisedScoreMax=0&excludedLocationIds=string&excludedBusinessIds=string&excludedLocationGroupIds=string&excludedLabels=string&filterCategory=string&query=string'

Responses

Successfully retrieved location rankings

Bodyapplication/json
ranksArray of objectsrequired

List of ranked locations

pageinteger, (int32)

Current page number

Example:0
pageSizeinteger, (int32)

Number of items per page

Example:10
sizeinteger, (int32)

Number of items in the current page

Example:10
totalCountinteger, (int64)

Total number of ranked locations

Example:150
Response
{ "ranks": [ {} ], "page": 0, "pageSize": 10, "size": 10, "totalCount": 150 }